Package com.orbbec.obsensor

## Class LobClass

- java.lang.Object
- - com.orbbec.obsensor.LobClass

All Implemented Interfaces:
  `java.lang.AutoCloseable`

Direct Known Subclasses:
  `CameraParamList`, `Config`, `Device`, `DeviceList`, `Filter`, `Frame`, `OBContext`, `Pipeline`, `Playback`, `Recorder`, `Sensor`, `StreamProfile`, `StreamProfileList`

    public abstract class LobClass
    extends java.lang.Object
    implements java.lang.AutoCloseable

### Field Summary

Fields
`protected long` `handle`
`protected boolean` `owner`

### Constructor Summary

Constructors
`LobClass()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getHandle()` Get the current class handle
`protected void` `throwInitializeException()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.AutoCloseable

`close`

### Field Detail

#### handle

    protected long handle

#### owner

    protected boolean owner

### Constructor Detail

#### LobClass

    public LobClass()

### Method Detail

#### getHandle

    public long getHandle()

Get the current class handle

Returns:
  handle

#### throwInitializeException

    protected void throwInitializeException()